TriggerSmartContractpost https://api.shasta.trongrid.io/wallet/triggersmartcontractReturns TransactionExtention, which contains the unsigned TransactionBody Paramsowner_addressstringDefaults to 41D1E7A6BC354106CB410E65FF8B181C600FF14292Address that triggers the contract, converted to a hex string.contract_addressstringDefaults to 41a7837ce56da0cbb28f30bcd5bff01d4fe7e4c6e3Contract address, converted to a hex stringfunction_selectorstringDefaults to transfer(address,uint256)Function call, must not be left blankparameterstringParameter encoding needs to be in accordance with the ABI rules, the rules are more complicated, users can use the ethers library to encode,For details, please refer to the document-Guide-Smart Contract-Best Practice-Parameter Encoding and Decoding.fee_limitint32Maximum TRX consumption, measured in SUN (1 TRX = 1,000,000 SUN).call_valueint32Defaults to 0Amount of TRX transferred with this transaction, measured in SUN (1 TRX = 1,000,000 SUN).permission_idint32Optional, for multi-signaturevisiblebooleanOptional. Whehter the address is in base58check format.truefalseResponses 200200 400400Updated 5 months ago